shovelop

Gen8 ESXi 6.5 설치

Gen82017.07.09 17:28

Gen8에는 OS를 직접 설치할 수도 있지만,

ESXi라는 하이퍼바이저를 사용하면 용도별로 다양한 OS를 동시에 운영할 수 있다.

 

Gen8 G1610T의 경우 코어도 두개밖에 없고,

RAM도 4GB밖에 안돼서 큰 의미는 없지만.

 

그래도 남들이 하는 건 나도 해봐야 직성이 풀리니 ESXi를 설치해본다.

 

하드웨어 드라이버라던지 기타 이유로(사실은 무슨 이유인지 잘 모른다) 커스터마이징된 HPE 이미지를 사용해야 한다.

https://www.hpe.com/kr/ko/servers/hpe-esxi.html 에 접속하면 가용한 이미지 목록이 나오는데,

지금 현재 최신버전인 ESXi 6.5의 iso 파일을 다운로드 할 수 있다.

 

다운로드 하려면 vmware 홈페이지에 회원가입이 강제되는데,

이어서 그 계정으로 https://my.vmware.com/group/vmware/evalcenter?p=free-esxi6 에 접속하면

ESXi 6.5용 무료 라이센스 키가 발급된다. 맨 마지막 단계에서 이 키를 등록할 예정이니 잘 기억해두자.

 

설치를 하려면 아래처럼 iso파일을 USB Memory에 구워서 Gen8의 USB2.0포트에 꼽고 부팅을 하거나,

   

    (https://rufus.akeo.ie/)

 

Remote Console을 열어 ESXi iso파일을 가상으로 Mount하고 부팅을 할 수 도 있다.

 

 

 

부팅을 하면 아래와 같은 GRUB 로딩 화면이 뜨고,

 

 

몇 분 정도 설치 준비가 진행된다.

 

 

Enter!

 

 

부끄럽지만, EULA는 다 읽어본 적이 없다. F11!

 

 

설치할 스토리지를 선택하는 화면이 등장하는데,

이전 Smart Storage Administrator에서 생성한 Array 두 개가 보이고,

이어서 메인보드에 꼽아뒀던 USB Memory가 보인다.

 

Gen8의 경우, ODD SATA로는 부팅이 안되고 USB 포트로는 가능하다고 한다.

해서 어쩔수 없이 부트로더는 USB Memory에 설치해야 하는데,

 

ESXi를 USB Memory에 설치하면 모든 고민이 해결된다.

 

 

키보드는 US Default로,

 

 

ESXi의 루트 패스워드를 정한다.

 

 

아.. 이게 무슨일일까, 메모리가 부족하다니.

Gen8의 메모리는 4GB가 장착되어 있긴하지만, 내장형 그래픽카드여서 4GB가 안된다고 판단이 된 걸까?

 

어쨌든 구글링을 해보니, ESXi 6.5에 굳이 4GB까지 필요없다는 임상실험결과(?)들이 있었고,

아래 글에서 메모리 체크하는 스크립트를 수정하고 적용하는 구체적인 방법을 찾을 수 있었다.

https://noteits.net/2015/06/24/installing-esxi-6-0-with-4gb-ram-or-less/ 

 

 

Alt+F1을 누르면 쉘로 전환되는데,

 

 

로그인 이름으로 root를 입력하고, 패스워드는 비워둔채로 엔터를 치면 프롬프트가 나온다.

 

 

/usr/lib/vmware/weasel/util/upgrade_precheck.py에 선언된 MEM_MIN_SIZE를 변경한 뒤

 

 [root@localhost:~] sed -i "s#MEM_MIN_SIZE = (4#MEM_MIN_SIZE = (2#" /usr/lib/vmware/weasel/util/upgrade_precheck.py

 

 

 

설치 프로세스를 죽인다.

 

 [root@localhost:~] pkill python

 

 

 

이제 다시 처음부터 설치 단계를 진행하면 된다.

 

 

이번엔 MEMORY_SIZE_ERROR가 발생하지 않는다.

F11을 눌러 설치를 진행한다.

 

 

설치가 시작된다.

 

 

엔터를 눌러 재부팅.

 

 

ESXi로 부팅이 되고, 관리페이지 ip가 표시된다.

 

 

관리페이지에 접속해보면, iLO의 그것과 비슷하게 SSL 인증서 오류가 발생한다.

 

 

무시하고 탐색하면 로그인 페이지가 나오는데,

사용자 이름은 root, 비밀번호는 설치 시 입력했던 값을 사용하면 된다.

 

 

평가 모드에서 ESXi를 사용하고 있다는 알림이 거슬린다.

좌측 메뉴에서 톱니바퀴가 그려져 있는 아이콘을 클릭한다.

 

 

라이센싱을 클릭

 

 

라이센스 할당을 누르고, 라이센스 키를 입력한다.

 

ESXi 이미지를 다운받고, 라이센스 키를 발급 받았었다.

https://my.vmware.com/group/vmware/evalcenter?p=free-esxi6에 다시 접속해서 로그인해보면 라이센스키를 다시 확인할 수 있다.

 

 

라이센스가 등록되고 나면 평가모드 안내 문구가 사라진다.

 

이로써 ESXi의 설치는 끝!

 

.

.

.

 

아니다, 디스크 성능관련 이슈가 남아있다.

 

Gen8에 ESXi 6.5버전을 설치했을 때, 디스크 I/O 성능이 극도로 느려진다고 한다.

수많은 사람들이 삽질끝에 얻은 결론은

특정 드라이버를 다운그레이드하고,

AHCI를 Disable 하는 것

 

아래 글에서 가이드를 얻었다.

https://www.suls.co.uk/esxi-6-5-on-hp-microserver-gen-8/

 

일단 hpvsa-5.5.0-88OEM.550.0.0.1331820.x86_64.vib를 다운받아야 한다.

http://h20564.www2.hpe.com/hpsc/swd/public/detail?swItemId=MTX_bfdbb1dfc5314e02bc01b1436b 

 

이제 다운받은 드라이버를 옮겨야 하는데, 보통 SSH를 이용하는 것 같다.

ESXi 관리페이지에서 TSM-SSH 서비스를 켜야한다.

 

WinSCP를 이용해도 되고, 내 경우엔 MobaXterm을 이용했다.

http://mobaxterm.mobatek.net/download-home-edition.html 에서 포터블 버전을 받았다.

Start local terminal을 클릭!

 

 

MobaXterm은 윈도우에서도 리눅스 쉘에서처럼 scp라던지 sed같은 명령어들을 사용하게 해준다.

scp 명령어를 이용하여 다운받은 드라이버를 ESXi의 /tmp 디렉토리로 복사한다.

> scp /drives/c/Users/name/Downloads/Gen8/SCSI/scsi-hpvsa-5.5.0-88OEM.550.0.0.1331820.x86_64.vib root@192.168.0.4:/tmp/ 

 

 

MobaXterm에서 "/etc/ssh_config line 1: Missing argument."와 같은 에러가 날 수도 있다.

내 경우에는 아래와 같이 조치했다.

> sed -i '/User ""/d' /etc/ssh_config

 

복사가 완료되면, 이제 SCSi의 SSH 쉘에 접속해서 작업을 이어나가면 된다.

 

이전 scsi-hpvsa 드라이버를 삭제하고 5.5.0-88버전을 설치한 뒤 재부팅한다.

[root@localhost:~] esxcli system maintenanceMode set --enable true
[root@localhost:~] esxcli software vib remove -n scsi-hpvsa
Removal Result
   Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
   Reboot Required: true
   VIBs Installed:
   VIBs Removed: HPE_bootbank_scsi-hpvsa_5.5.0.102-1OEM.550.0.0.1331820
   VIBs Skipped:
[root@localhost:~] esxcli software vib install -v file:/tmp/scsi-hpvsa-5.5.0-88OEM.550.0.0.1331820.x86_64.vib --force --no-sig-check --maintenance-mode
Installation Result
   Message: The update completed successfully, but the system needs to be rebooted for the changes to be effective.
   Reboot Required: true
   VIBs Installed: Hewlett-Packard_bootbank_scsi-hpvsa_5.5.0-88OEM.550.0.0.1331820
   VIBs Removed:
   VIBs Skipped:
[root@localhost:~] reboot

 

다시 SSH 쉘에 접속해서 AHCI 모듈을 Disable하고 재부팅한다.

[root@localhost:~] esxcli system module set --enabled=false --module=vmw_ahci

[root@localhost:~] reboot

 

이제야 비로소,

ESXi까지 설치가 끝났다.

 

 

'Gen8' 카테고리의 다른 글

ESXi 스토리지 설정  (0) 2017.07.25
Gen8 시간 설정  (2) 2017.07.22
Gen8 ESXi 6.5 설치  (2) 2017.07.09
Gen8 스토리지 설정 -  HP Smart Storage Administrator로 RAID1 구성  (1) 2017.07.08
Gen8 부팅, 그리고 iLO Remote Console  (1) 2017.07.01
Gen8 옥탑방 공사 및 설치  (2) 2017.06.30

Comment +2

  • 날랄리 2017.07.28 18:11

    2017년 5월 버전을 패치했다가 다시 설치했습니다. 확인해 보니 이번 버전에서 해당버그를 수정했더라고요.

    VMware-ESXi-6.5.0-OS-Release-5146846-HPE-650.9.6.5.27-May2017.iso

    구형이 되버린 마이크로서버 gen8 를 싸게 구입했다가 레이드 드라이버 때문에 난감했는데 글보고 ESXi 설치하고 우분투를 설치했습니다.
    감사합니다.

  • 테돌아이 2017.11.09 11:08

    안녕하세요.
    포스팅 잘 보았습니다.
    저도 잰8에 ESXi 설치해서 사용중에 있는데요.
    이번에 다시 새롭께 설치를 하려고 합니다.
    근데 두가지 질문이 있습니다.

    첫째, 6.5 디스크 I/O 문제가 있다고 하는데 지금 최신 다운로드 받으면 위 단계는 하지 않아도 되나요?
    댓글을 보면 이번 버전에서 해당그그를 수정했다고 하는데 ..

    둘째, 디스크 레이드 관련 문제인데요.
    4개의 HDD 를 모두 레이드 1 구성을 하면 하나로 인식이 되잖아요.
    그런데 저는 지금까지 ACHI 모드로 설정을 해서 각 디스크를 RDM 구성을 했습니다.
    지금 자료가 있어 이것을 그대로 사용을 하고 싶은데 레이드로 구성을 해버리면 자료가 모두 날아가나요?
    감사합니다.